#coding: utf-8
from django.contrib.auth.models import AnonymousUser

import os

def get_template_path(provider, template_name, user):
    """функция определяет полный путь до файла шаблона бланка
    """
    if isinstance(user, AnonymousUser):
        user_id = "1"
    else:
        user_id = user.id

    raw_path = provider.template_path
    report_path_join = raw_path.split() if "/" in raw_path else raw_path.split("\\")
    #TODO - os.sep неправильно применять
    path_to_report = os.sep.join(report_path_join)

    path_with_name = os.path.join(
        path_to_report,
        "template_uid{0:0>4}_".format(user_id) + template_name + ".html").replace("\\", "/")


    return path_with_name

